touch my.stat; rm my.stat; touch my.stat

size1=$(filesize dclass/*.class)

for file in data/*
do
    size0=$(filesize $file)
    printf "%s: %d -> " $file $size0

    sfile=$(echo "s$file" | sed 's/\.dat/\.sdat/')
    if test ! -e "$sfile"
    then
        sfile=""
    else
        printf "*"
    fi

    mycompress $sfile <$file >data/tmp.dat
#    gzip <$file >data/tmp.dat

    size2=$(filesize data/tmp.dat)
    perc2=$(expr 100 '*' $size2 / $size0)
    printf "%d (%d%%)" $size2 $perc2

    echo $size2 >>my.stat

    mydecompress $sfile <data/tmp.dat >data/tmp2.dat
#    gunzip <data/tmp.dat >data/tmp2.dat

    diff --brief $file data/tmp2.dat >/dev/null
    ret=$?
    if test $ret != 0
    then
	echo "You skrewed up!"
    else
	echo "Ok."
    fi
done

echo "Compressor size:" $size1

rm data/tmp.dat data/tmp2.dat
